<script setup lang="ts">
const cardType = ref<any>(false)
const onPrint = () => {
  cardType.value = true
}

const questionnaire = ref<any>({
  title: '标题',
  desc: '描述'
})

const cardTitle = ref<any>('公司名称')
</script>

<template>
  <el-card header="分享" shadow="never">
    <el-button type="primary" @click="onPrint">分享海报</el-button>
  </el-card>
  <card-poster v-model="cardType" :questionnaire="questionnaire" :cardTitle="cardTitle"></card-poster>
</template>

<style scoped lang="scss"></style>
